UnrealIRCd Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003842unrealinstallingpublic2009-03-04 01:092009-05-13 05:36
Reporterohnobinki 
Assigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Platformamd64OSGentooOS Version2.0
Product Version3.2.8 
Target VersionFixed in Version3.2.9-RC1 
Summary0003842: unrealircd should compile with system tre
DescriptionUnreal3.2.8.tar.gz bundles tre-0.7.5. Unreal always compiles and links statically against that copy of tre. I think that, since I have tre installed systemwide, Unreal should be able to link against it.
It is easy to do so because tre supports pkg-config. I have made a patch which adds a --with-system-tre option to autoconf/configure.in.
Additional InformationIt was a little difficult to test my patch because I have to
mv autoconf/configure.in ./
mv autoconf/aclocal.m4 ./acinclude.m4
aclocal
autoconf
instead of just running aclocal; autoconf to regenerate my ./configure (that's why I have bug 0003794; I corrected my position concerning that bug AFAIK)
TagsNo tags attached.
3rd party modules
Attached Filespatch file icon unrealircd-system-tre.patch [^] (2,265 bytes) 2009-03-04 01:09
patch file icon unrealircd-system-tre-1.patch [^] (2,238 bytes) 2009-05-09 16:59

- Relationships

-  Notes
(0015844)
ohnobinki (developer)
2009-05-09 17:01

unrealircd-system-tre-1.patch is an improvement over unrealircd-system-tre.patch.
This is a prerequisite for my unrealircd-system-cares patch because both patches edit the same lines in Makefile.in
(0015845)
syzop (administrator)
2009-05-13 05:36

Added in .762:
- Added ./configure option called --with-system-tre by which you can specify
  a path to the TRE library (instead of using the TRE we ship with Unreal).
  Patch provided by ohnobinki (0003842).

Thanks!

- Issue History
Date Modified Username Field Change
2009-03-04 01:09 ohnobinki New Issue
2009-03-04 01:09 ohnobinki File Added: unrealircd-system-tre.patch
2009-05-09 16:59 ohnobinki File Added: unrealircd-system-tre-1.patch
2009-05-09 17:01 ohnobinki Note Added: 0015844
2009-05-13 05:31 syzop Status new => assigned
2009-05-13 05:36 syzop QA => Not touched yet by developer
2009-05-13 05:36 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-05-13 05:36 syzop Note Added: 0015845
2009-05-13 05:36 syzop Status assigned => resolved
2009-05-13 05:36 syzop Fixed in Version => 3.2.9-RC1
2009-05-13 05:36 syzop Resolution open => fixed
2009-05-13 05:36 syzop Assigned To => syzop


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker